/* Copyright (c) 2013-2016 Jeffrey Pfau
 *
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/. */
#ifndef EMITTER_LR35902_H
#define EMITTER_LR35902_H

#define DECLARE_INSTRUCTION_LR35902(EMITTER, NAME) \
	EMITTER ## NAME

#define DECLARE_LR35902_EMITTER_BLOCK(EMITTER) \
	DECLARE_INSTRUCTION_LR35902(EMITTER, NOP), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, LDBC), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, LDBC_A), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, INCBC), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, LDB_), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, DECBC), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, LDC_), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, LDDE), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, LDDE_A), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, INCDE), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, LDD_), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, JR), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, DECDE), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, LDE_), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, JRNZ), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, LDHL), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, LDIHLA), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, INCHL), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, LDH_), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, JRZ), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, DECHL), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, LDL_), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, JRNC), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, LDSP), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, LDDHLA), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, INCSP), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, LDHL_), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, JRC), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, DECSP), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, LDA_), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, LDB_B), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, LDB_C), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, LDB_D), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, LDB_E), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, LDB_H), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, LDB_L), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, LDB_HL), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, LDB_A), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, LDC_B), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, LDC_C), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, LDC_D), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, LDC_E), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, LDC_H), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, LDC_L), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, LDC_HL), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, LDC_A), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, LDD_B), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, LDD_C), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, LDD_D), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, LDD_E), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, LDD_H), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, LDD_L), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, LDD_HL), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, LDD_A), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, LDE_B), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, LDE_C), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, LDE_D), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, LDE_E), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, LDE_H), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, LDE_L), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, LDE_HL), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, LDE_A), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, LDH_B), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, LDH_C), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, LDH_D), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, LDH_E), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, LDH_H), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, LDH_L), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, LDH_HL), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, LDH_A), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, LDL_B), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, LDL_C), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, LDL_D), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, LDL_E), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, LDL_H), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, LDL_L), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, LDL_HL), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, LDL_A), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, LDHL_B), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, LDHL_C), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, LDHL_D), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, LDHL_E), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, LDHL_H), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, LDHL_L), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, LDHL_A), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, LDA_B), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, LDA_C), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, LDA_D), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, LDA_E), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, LDA_H), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, LDA_L), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, LDA_HL), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, LDA_A), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, ANDB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, ANDC), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, ANDD), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, ANDE), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, ANDH), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, ANDL), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, ANDHL), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, ANDA), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, XORB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, XORC), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, XORD), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, XORE), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, XORH), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, XORL), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, XORHL), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, XORA), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, ORB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, ORC), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, ORD), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, ORE), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, ORH), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, ORL), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, ORHL), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, ORA), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, CPB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, CPC), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, CPD), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, CPE), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, CPH), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, CPL), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, CPHL), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, CPA), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, RETNZ), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, JPNZ), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, JP), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, CALLNZ), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, RETZ), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, RET), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, JPZ), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, CB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, CALLZ), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, CALL), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, RETNC), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, JPNC), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, CALLNC), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, RETC), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, JPC), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, CALLC), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, LDIOA), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, LDIOCA), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, AND), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, LDIA), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, XOR), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, LDAIO), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, LDAIOC), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, DI), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, OR), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, LDAI), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, EI), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, CP), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB)

#define DECLARE_LR35902_CB_EMITTER_BLOCK(EMITTER) \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB), \
	DECLARE_INSTRUCTION_LR35902(EMITTER, STUB)

#endif
